# module Chef::Formatters::ErrorMapper

## Formatters::ErrorMapper¶ ↑

Collection of methods for creating and returning Formatters::ErrorDescription objects based on node, exception, and configuration information.

### Public Class Methods

cookbook_resolution_failed(expanded_run_list, exception) click to toggle source

    # File lib/chef/formatters/error_mapper.rb, line 52
    def self.cookbook_resolution_failed(expanded_run_list, exception)
      error_inspector = ErrorInspectors::CookbookResolveErrorInspector.new(expanded_run_list, exception)
      headline = "Error Resolving Cookbooks for Run List:"
      description = ErrorDescription.new(headline)
      error_inspector.add_explanation(description)
      return description
    end

cookbook_sync_failed(cookbooks, exception) click to toggle source

    # File lib/chef/formatters/error_mapper.rb, line 60
    def self.cookbook_sync_failed(cookbooks, exception)
      error_inspector = ErrorInspectors::CookbookSyncErrorInspector.new(cookbooks, exception)
      headline = "Error Syncing Cookbooks:"
      description = ErrorDescription.new(headline)
      error_inspector.add_explanation(description)
      return description
    end

file_load_failed(path, exception) click to toggle source

    # File lib/chef/formatters/error_mapper.rb, line 76
    def self.file_load_failed(path, exception)
      error_inspector = ErrorInspectors::CompileErrorInspector.new(path, exception)
      headline = "Recipe Compile Error" + ( path ? " in #{path}" : "" )
      description = ErrorDescription.new(headline)
      error_inspector.add_explanation(description)
      description
    end

node_load_failed(node_name, exception, config) click to toggle source

    # File lib/chef/formatters/error_mapper.rb, line 36
    def self.node_load_failed(node_name, exception, config)
      error_inspector = ErrorInspectors::NodeLoadErrorInspector.new(node_name, exception, config)
      headline = "Chef encountered an error attempting to load the node data for \"#{node_name}\""
      description = ErrorDescription.new(headline)
      error_inspector.add_explanation(description)
      return description
    end

registration_failed(node_name, exception, config) click to toggle source

Failed to register this client with the server.

    # File lib/chef/formatters/error_mapper.rb, line 28
    def self.registration_failed(node_name, exception, config)
      error_inspector = ErrorInspectors::RegistrationErrorInspector.new(node_name, exception, config)
      headline = "Chef encountered an error attempting to create the client \"#{node_name}\""
      description = ErrorDescription.new(headline)
      error_inspector.add_explanation(description)
      return description
    end

resource_failed(resource, action, exception) click to toggle source

    # File lib/chef/formatters/error_mapper.rb, line 68
    def self.resource_failed(resource, action, exception)
      error_inspector = ErrorInspectors::ResourceFailureInspector.new(resource, action, exception)
      headline = "Error executing action `#{action}` on resource '#{resource}'"
      description = ErrorDescription.new(headline)
      error_inspector.add_explanation(description)
      return description
    end

run_list_expand_failed(node, exception) click to toggle source

    # File lib/chef/formatters/error_mapper.rb, line 44
    def self.run_list_expand_failed(node, exception)
      error_inspector = ErrorInspectors::RunListExpansionErrorInspector.new(node, exception)
      headline = "Error expanding the run_list:"
      description = ErrorDescription.new(headline)
      error_inspector.add_explanation(description)
      return description
    end